## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class CreateCriteriaPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.CreateCriteriaPersistentMethod

All Implemented Interfaces:
  StaticMethodInvocation

    public class CreateCriteriaPersistentMethod

extends AbstractStaticPersistentMethod

Creates a HibernateCriteriaBuilder instance for the current class and returns it. eg. Account.createCriteria()

Author:
  Graeme Rocher

Constructor Summary
`CreateCriteriaPersistentMethod(org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader)`

Method Summary
`protected Object` `doInvokeInternal(Class clazz, String methodName, Object[] arguments)`

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
`getHibernateTemplate, invoke`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
`getPattern, isMethodMatch, setPattern, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateCriteriaPersistentMethod

    public CreateCriteriaPersistentMethod(org.hibernate.SessionFactory sessionFactory,
                                          ClassLoader classLoader)

Method Detail

### doInvokeInternal

    protected Object doInvokeInternal(Class clazz,
                                      String methodName,
                                      Object[] arguments)

  Specified by:
    `doInvokeInternal` in class `AbstractStaticPersistentMethod`

Copyright (c) 2005-2006 The Grails project